---
name: orgs-5-routes
description: Handle 36 OpenAPI operation(s) under /orgs/{org} for the orgs 5 route group.
---

# orgs 5 API Routes

Handle 36 OpenAPI operation(s) under /orgs/{org} for the orgs 5 route group.

Use the generated operation tools to make real API calls. Do not invent API responses.
If a tool reports missing setup, return the exact setup field name to the caller.
For write, update, or delete operations, state the intended action before calling the tool.

## Operations

### repos_create_org_ruleset

- Operation ID: `repos_create_org_ruleset`
- Route: `POST /orgs/{org}/rulesets`
- Mode: WRITE
- Summary: Create an organization repository ruleset
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### repos_get_org_rule_suites

- Operation ID: `repos_get_org_rule_suites`
- Route: `GET /orgs/{org}/rulesets/rule-suites`
- Mode: READ
- Summary: List organization rule suites
- Parameters:
  - `org` in `path` required
  - `ref` in `query`
  - `repository_name` in `query`
  - `time_period` in `query`
  - `actor_name` in `query`
  - `rule_suite_result` in `query`
  - `evaluate_status` in `query`
  - `per_page` in `query`
  - `page` in `query`

### repos_get_org_rule_suite

- Operation ID: `repos_get_org_rule_suite`
- Route: `GET /orgs/{org}/rulesets/rule-suites/{rule_suite_id}`
- Mode: READ
- Summary: Get an organization rule suite
- Parameters:
  - `org` in `path` required
  - `rule_suite_id` in `path` required

### repos_get_org_ruleset

- Operation ID: `repos_get_org_ruleset`
- Route: `GET /orgs/{org}/rulesets/{ruleset_id}`
- Mode: READ
- Summary: Get an organization repository ruleset
- Parameters:
  - `org` in `path` required
  - `ruleset_id` in `path` required

### repos_update_org_ruleset

- Operation ID: `repos_update_org_ruleset`
- Route: `PUT /orgs/{org}/rulesets/{ruleset_id}`
- Mode: WRITE
- Summary: Update an organization repository ruleset
- Parameters:
  - `org` in `path` required
  - `ruleset_id` in `path` required
- Body: JSON request body accepted.

### repos_delete_org_ruleset

- Operation ID: `repos_delete_org_ruleset`
- Route: `DELETE /orgs/{org}/rulesets/{ruleset_id}`
- Mode: WRITE
- Summary: Delete an organization repository ruleset
- Parameters:
  - `org` in `path` required
  - `ruleset_id` in `path` required

### orgs_get_org_ruleset_history

- Operation ID: `orgs_get_org_ruleset_history`
- Route: `GET /orgs/{org}/rulesets/{ruleset_id}/history`
- Mode: READ
- Summary: Get organization ruleset history
- Parameters:
  - `org` in `path` required
  - `per_page` in `query`
  - `page` in `query`
  - `ruleset_id` in `path` required

### orgs_get_org_ruleset_version

- Operation ID: `orgs_get_org_ruleset_version`
- Route: `GET /orgs/{org}/rulesets/{ruleset_id}/history/{version_id}`
- Mode: READ
- Summary: Get organization ruleset version
- Parameters:
  - `org` in `path` required
  - `ruleset_id` in `path` required
  - `version_id` in `path` required

### secret_scanning_list_alerts_for_org

- Operation ID: `secret_scanning_list_alerts_for_org`
- Route: `GET /orgs/{org}/secret-scanning/alerts`
- Mode: READ
- Summary: List secret scanning alerts for an organization
- Parameters:
  - `org` in `path` required
  - `state` in `query`
  - `secret_type` in `query`
  - `exclude_secret_types` in `query`
  - `exclude_providers` in `query`
  - `providers` in `query`
  - `resolution` in `query`
  - `assignee` in `query`
  - `sort` in `query`
  - `direction` in `query`
  - `page` in `query`
  - `per_page` in `query`
  - `before` in `query`
  - `after` in `query`
  - `validity` in `query`
  - `is_publicly_leaked` in `query`
  - `is_multi_repo` in `query`
  - `hide_secret` in `query`
  - `is_bypassed` in `query`

### secret_scanning_list_org_pattern_configs

- Operation ID: `secret_scanning_list_org_pattern_configs`
- Route: `GET /orgs/{org}/secret-scanning/pattern-configurations`
- Mode: READ
- Summary: List organization pattern configurations
- Parameters:
  - `org` in `path` required

### secret_scanning_update_org_pattern_configs

- Operation ID: `secret_scanning_update_org_pattern_configs`
- Route: `PATCH /orgs/{org}/secret-scanning/pattern-configurations`
- Mode: WRITE
- Summary: Update organization pattern configurations
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### security_advisories_list_org_repository_advisories

- Operation ID: `security_advisories_list_org_repository_advisories`
- Route: `GET /orgs/{org}/security-advisories`
- Mode: READ
- Summary: List repository security advisories for an organization
- Parameters:
  - `org` in `path` required
  - `direction` in `query`
  - `sort` in `query`
  - `before` in `query`
  - `after` in `query`
  - `per_page` in `query`
  - `state` in `query`

### orgs_list_security_manager_teams

- Operation ID: `orgs_list_security_manager_teams`
- Route: `GET /orgs/{org}/security-managers`
- Mode: READ
- Summary: List security manager teams
- Parameters:
  - `org` in `path` required

### orgs_add_security_manager_team

- Operation ID: `orgs_add_security_manager_team`
- Route: `PUT /orgs/{org}/security-managers/teams/{team_slug}`
- Mode: WRITE
- Summary: Add a security manager team
- Parameters:
  - `org` in `path` required
  - `team_slug` in `path` required

### orgs_remove_security_manager_team

- Operation ID: `orgs_remove_security_manager_team`
- Route: `DELETE /orgs/{org}/security-managers/teams/{team_slug}`
- Mode: WRITE
- Summary: Remove a security manager team
- Parameters:
  - `org` in `path` required
  - `team_slug` in `path` required

### orgs_get_immutable_releases_settings

- Operation ID: `orgs_get_immutable_releases_settings`
- Route: `GET /orgs/{org}/settings/immutable-releases`
- Mode: READ
- Summary: Get immutable releases settings for an organization
- Parameters:
  - `org` in `path` required

### orgs_set_immutable_releases_settings

- Operation ID: `orgs_set_immutable_releases_settings`
- Route: `PUT /orgs/{org}/settings/immutable-releases`
- Mode: WRITE
- Summary: Set immutable releases settings for an organization
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### orgs_get_immutable_releases_settings_repositories

- Operation ID: `orgs_get_immutable_releases_settings_repositories`
- Route: `GET /orgs/{org}/settings/immutable-releases/repositories`
- Mode: READ
- Summary: List selected repositories for immutable releases enforcement
- Parameters:
  - `org` in `path` required
  - `page` in `query`
  - `per_page` in `query`

### orgs_set_immutable_releases_settings_repositories

- Operation ID: `orgs_set_immutable_releases_settings_repositories`
- Route: `PUT /orgs/{org}/settings/immutable-releases/repositories`
- Mode: WRITE
- Summary: Set selected repositories for immutable releases enforcement
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### orgs_enable_selected_repository_immutable_releases_organization

- Operation ID: `orgs_enable_selected_repository_immutable_releases_organization`
- Route: `PUT /orgs/{org}/settings/immutable-releases/repositories/{repository_id}`
- Mode: WRITE
- Summary: Enable a selected repository for immutable releases in an organization
- Parameters:
  - `org` in `path` required
  - `repository_id` in `path` required

### orgs_disable_selected_repository_immutable_releases_organization

- Operation ID: `orgs_disable_selected_repository_immutable_releases_organization`
- Route: `DELETE /orgs/{org}/settings/immutable-releases/repositories/{repository_id}`
- Mode: WRITE
- Summary: Disable a selected repository for immutable releases in an organization
- Parameters:
  - `org` in `path` required
  - `repository_id` in `path` required

### hosted_compute_list_network_configurations_for_org

- Operation ID: `hosted_compute_list_network_configurations_for_org`
- Route: `GET /orgs/{org}/settings/network-configurations`
- Mode: READ
- Summary: List hosted compute network configurations for an organization
- Parameters:
  - `org` in `path` required
  - `per_page` in `query`
  - `page` in `query`

### hosted_compute_create_network_configuration_for_org

- Operation ID: `hosted_compute_create_network_configuration_for_org`
- Route: `POST /orgs/{org}/settings/network-configurations`
- Mode: WRITE
- Summary: Create a hosted compute network configuration for an organization
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### hosted_compute_get_network_configuration_for_org

- Operation ID: `hosted_compute_get_network_configuration_for_org`
- Route: `GET /orgs/{org}/settings/network-configurations/{network_configuration_id}`
- Mode: READ
- Summary: Get a hosted compute network configuration for an organization
- Parameters:
  - `org` in `path` required
  - `network_configuration_id` in `path` required

### hosted_compute_update_network_configuration_for_org

- Operation ID: `hosted_compute_update_network_configuration_for_org`
- Route: `PATCH /orgs/{org}/settings/network-configurations/{network_configuration_id}`
- Mode: WRITE
- Summary: Update a hosted compute network configuration for an organization
- Parameters:
  - `org` in `path` required
  - `network_configuration_id` in `path` required
- Body: JSON request body accepted.

### hosted_compute_delete_network_configuration_from_org

- Operation ID: `hosted_compute_delete_network_configuration_from_org`
- Route: `DELETE /orgs/{org}/settings/network-configurations/{network_configuration_id}`
- Mode: WRITE
- Summary: Delete a hosted compute network configuration from an organization
- Parameters:
  - `org` in `path` required
  - `network_configuration_id` in `path` required

### hosted_compute_get_network_settings_for_org

- Operation ID: `hosted_compute_get_network_settings_for_org`
- Route: `GET /orgs/{org}/settings/network-settings/{network_settings_id}`
- Mode: READ
- Summary: Get a hosted compute network settings resource for an organization
- Parameters:
  - `org` in `path` required
  - `network_settings_id` in `path` required

### teams_list

- Operation ID: `teams_list`
- Route: `GET /orgs/{org}/teams`
- Mode: READ
- Summary: List teams
- Parameters:
  - `org` in `path` required
  - `per_page` in `query`
  - `page` in `query`
  - `team_type` in `query`

### teams_create

- Operation ID: `teams_create`
- Route: `POST /orgs/{org}/teams`
- Mode: WRITE
- Summary: Create a team
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### teams_get_by_name

- Operation ID: `teams_get_by_name`
- Route: `GET /orgs/{org}/teams/{team_slug}`
- Mode: READ
- Summary: Get a team by name
- Parameters:
  - `org` in `path` required
  - `team_slug` in `path` required

### teams_update_in_org

- Operation ID: `teams_update_in_org`
- Route: `PATCH /orgs/{org}/teams/{team_slug}`
- Mode: WRITE
- Summary: Update a team
- Parameters:
  - `org` in `path` required
  - `team_slug` in `path` required
- Body: JSON request body accepted.

### teams_delete_in_org

- Operation ID: `teams_delete_in_org`
- Route: `DELETE /orgs/{org}/teams/{team_slug}`
- Mode: WRITE
- Summary: Delete a team
- Parameters:
  - `org` in `path` required
  - `team_slug` in `path` required

### teams_list_pending_invitations_in_org

- Operation ID: `teams_list_pending_invitations_in_org`
- Route: `GET /orgs/{org}/teams/{team_slug}/invitations`
- Mode: READ
- Summary: List pending team invitations
- Parameters:
  - `org` in `path` required
  - `team_slug` in `path` required
  - `per_page` in `query`
  - `page` in `query`

### teams_list_members_in_org

- Operation ID: `teams_list_members_in_org`
- Route: `GET /orgs/{org}/teams/{team_slug}/members`
- Mode: READ
- Summary: List team members
- Parameters:
  - `org` in `path` required
  - `team_slug` in `path` required
  - `role` in `query`
  - `per_page` in `query`
  - `page` in `query`

### teams_get_membership_for_user_in_org

- Operation ID: `teams_get_membership_for_user_in_org`
- Route: `GET /orgs/{org}/teams/{team_slug}/memberships/{username}`
- Mode: READ
- Summary: Get team membership for a user
- Parameters:
  - `org` in `path` required
  - `team_slug` in `path` required
  - `username` in `path` required

### teams_add_or_update_membership_for_user_in_org

- Operation ID: `teams_add_or_update_membership_for_user_in_org`
- Route: `PUT /orgs/{org}/teams/{team_slug}/memberships/{username}`
- Mode: WRITE
- Summary: Add or update team membership for a user
- Parameters:
  - `org` in `path` required
  - `team_slug` in `path` required
  - `username` in `path` required
- Body: JSON request body accepted.
